- HTTP request
- Path parameters
- Request body
- Response body
- Authorization scopes
- IAM Permissions
- Try it!
Deprecated: The mcpTools.get method is deprecated and will be removed in a future release. For similar functionality, you can use Agent Registry. Note: Agent Registry does not treat tools as a separate collection. To view the tools exposed by an MCP server, use the ListMcpServers or GetMcpServer methods in the Agent Registry API. For more information, see: https://docs.cloud.google.com/agent-registry/reference/rpc Gets a single McpTool.
HTTP request
GET https://cloudapiregistry.googleapis.com/v1beta/{name=projects/*/locations/*/mcpServers/*/mcpTools/*}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
name |
Required. Name of the resource Format: projects/{project}/locations/{location}/mcpServers/{mcp_server}/mcpTools/{mcp_tool} |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of McpTool.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
cloudapiregistry.mcpTools.get
For more information, see the IAM documentation.